0
Welcome Guest! Login
0 items Join Now

Gantry 5 ready for Joomla 4.0 upgrade?

    • Rae French's Avatar
    • Rae French
    • Elite Rocketeer
    • Posts: 624
    • Thanks: 17
    • IT Consultant

    Gantry 5 ready for Joomla 4.0 upgrade?

    Posted 10 months 2 weeks ago
    • The Joomla Update pre-check for the Joomla 4.0 is indicating the "System - Gantry 5" may cause problems with the upgrade. Are we waiting on a Gantry update or is this something that we can safely ignore?
    • Best wishes,
      Rae
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 98200
    • Thanks: 13048
    • Web Designer/Developer

    Re: Gantry 5 ready for Joomla 4.0 upgrade?

    Posted 10 months 2 weeks ago
    • You are waiting for us to release gantry 5.5 - do not update yet, it won’t work. We will then need to also update every template and this will take some time too. I should also point out that gantry 4 and it’s templates won’t be made compatible with joomla 4.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • Rae French's Avatar
    • Rae French
    • Elite Rocketeer
    • Posts: 624
    • Thanks: 17
    • IT Consultant

    Re: Gantry 5 ready for Joomla 4.0 upgrade?

    Posted 10 months 2 weeks ago
    • Thanks for the reply, Mark. Do we have a time frame for the release of Gantry 5.5? Since Joomla is pushing out 4.0 today, many of my hosting clients are asking about this. All of them are dependent on Gantry 5 and RocketTheme templates.
    • Best wishes,
      Rae
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 98200
    • Thanks: 13048
    • Web Designer/Developer

    Re: Gantry 5 ready for Joomla 4.0 upgrade?

    Posted 10 months 2 weeks ago
    • No I don't. We won't be releasing this update until it's fully tested and ready. The Gantry 5.5 release contains many other things other than just J4 compatibility so there is lots to test. There is absolutely no pressure to update Joomla 4 because that is why Joomla released J3.10.x at the same time - to give people two further years of support on the J3.10 platform.

      Regards, Mark.
    • The following users have thanked you: Julian Pardo

    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
  • Re: Gantry 5 ready for Joomla 4.0 upgrade?

    Posted 10 months 2 weeks ago
    • Is it too hard to give a rough guess or should we look at the current update trends at RT? We are not askimg for much here. Stating there is nonrush to update, 3.10 will be supported for 2 years gives us every reason this will take several months to get working.

      Last Gantry update was 7 momths ago
      Last new template was 8 months ago

      Are we thinking a couple weeks or several months for Gantry 5.5?

      I understand you are a small team but your communications are very poor amd will prompt people to go to other templates or clubs of they release J4 compatibility sooner. if having a large template library supported has become too much then you should drop support on most of them movong forward to provide a more frequent release schedule.

      Thank you.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 98200
    • Thanks: 13048
    • Web Designer/Developer

    Re: Gantry 5 ready for Joomla 4.0 upgrade?

    Posted 10 months 2 weeks ago
    • It's not going to be months because we've already been working on this months already (and that's what has consumed our development resources and prevented us doing other updates and templates). In fact, we invited people to join us in testing Gantry 5.5 some time ago https://rockettheme.com/forum/announcements-all/286608-gantry-5-5-testing-needed . Right now Gantry 5.5 is looking pretty good with Joomla 4 for the Hydrogen and Helium templates). Once they are working fully we will then move onto the RT templates updates. As you are aware we have many Gantry 5 templates and they are all going to need testing and updating - this won't be "big-bang" we'll just have to work through them one at a time.

      We would welcome your assistance in testing Gantry 5.5 with Joomla 4 and Helium in the first instance (don't try it with RT templates yet because there is more work to do). Please don't use Gantry 5.5 on a production site as we know it still has bugs and it is an irreversable update. If you find bugs then please report them to the Gantry 5 project team here https://github.com/gantry/gantry5/issues and clearly label them as Gantry 5.5

      The links to the Gantry 5.5 test versions area available in the link above.

      I hope that answer your questions.

      Regards, Mark.
    • Last Edit: 10 months 2 weeks ago by MrT.
    • The following users have thanked you: Volker Frank, Carlo Ferrari, RacerFX

    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
  • Re: Gantry 5 ready for Joomla 4.0 upgrade?

    Posted 10 months 2 weeks ago
    • I would like to know if we can use Gantry 5.4.37 wirh Joomla 4.0 or we have to wait a stable version of Gantry 5.5.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 98200
    • Thanks: 13048
    • Web Designer/Developer

    Re: Gantry 5 ready for Joomla 4.0 upgrade?

    Posted 10 months 2 weeks ago
    • No you can't - you must wait for Gantry 5.5 stable official release.

      Regards, Mark.
    • The following users have thanked you: Carlo Ferrari

    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • Rae French's Avatar
    • Rae French
    • Elite Rocketeer
    • Posts: 624
    • Thanks: 17
    • IT Consultant

    Re: Gantry 5 ready for Joomla 4.0 upgrade?

    Posted 10 months 2 weeks ago
    • > There is absolutely no pressure to update Joomla 4

      Mark, there is, unfortunately, a great deal of pressure to update on our side. I am hosting hundreds of Joomla sites. All of them were updated to 3.10.0 when that was released. Immediately following that update, Joomla is continually pushing out emails and notices to update to 4.0. This becomes problematic as the days wear on and people begin to stress about it. When clients are stressed, they begin to question that I may not be providing the most up-to-date service and then we start seeing people looking for hosting elsewhere. And it is hard enough to stay in business today with all of the other pressures from competitors.

      Now this is the first time that I am hearing about RT looking for testers for Gantry 5.5. I will sign up for that to help move this along quicker. There is much at stake and I will help.
    • Best wishes,
      Rae
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 98200
    • Thanks: 13048
    • Web Designer/Developer

    Re: Gantry 5 ready for Joomla 4.0 upgrade?

    Posted 10 months 2 weeks ago
    • Well I hope we can agree to disagree then. My question to my own clients is "what is it in Joomla 4 that you absolutely have to have today and are prepared to invest time and money in to get?". The "latest" doesn't necessarily mean the "greatest". Also, don't forget that RT products are not the only thing that you have to consider. I am sure that like most of us you are using third-party products in your sites - they're going to need to be changed/updated too. Next, Joomla 4 introduces Bootstrap 5 and there are many styling changes that come along with that - so that means that, yes, we have to make RT changes to our products, but that you will also need to make styling changes in your own custom.scss.

      Joomla themselves recognised there is a big jump to use Joomla 4 and that's why they released J3.10 at the same time, both as a stepping stone and also to ensure there is plenty of time (over the next two years that 3.10 is supported) for people to make their migrations at a time convenient to them.

      If your clients are expecting you to change all your hundreds of sites on day 1 of J4 release then you're going to be very busy. I would guess that like ourselves you will have to prioritise when your updates take place (I appreciate that in the first instance you have to wait for RT to make their changes first).

      So, my advice to my clients is:

      1. Your site will keeps running on J3.10 without any changes for a couple of years yet.
      2. Unless you have a compelling business case, updating to J4 now is going to cost time (and likely money) to make that leap.
      3. Let other pioneers take the heat from the innevitible fall-out in terms of bugs for a brand new released product. Let J4 stabilize before considering the update.

      Of course these are just my personal views which I am sharing - you don't have to heed my advice - but unfortunately you will have to wait for us to make sure that we've adequately tested G5.5 and the RT templates before we are happy to release them. Of course we would warmly welcome anyones participation in that testing regime (hence the original announcement where we invited assistance).


      Thanks for your views - they are always most welcome - the team do read them.

      Regards, Mark.
    • The following users have thanked you: tjscreative, Jeff Lafranca

    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.

Time to create page: 0.090 seconds